[arch-commits] Commit in spamassassin/trunk (PKGBUILD)

Florian Pritz bluewind at archlinux.org
Wed May 1 09:23:05 UTC 2019


    Date: Wednesday, May 1, 2019 @ 09:23:05
  Author: bluewind
Revision: 352342

upgpkg: spamassassin 3.4.2-3

Add missing files to backup array

Modified:
  spamassassin/trunk/PKGBUILD

----------+
 PKGBUILD |   19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-05-01 09:17:05 UTC (rev 352341)
+++ PKGBUILD	2019-05-01 09:23:05 UTC (rev 352342)
@@ -3,7 +3,7 @@
 # Contributor: Manolis Tzanidakis
 pkgname=spamassassin
 pkgver=3.4.2
-pkgrel=2
+pkgrel=3
 pkgdesc="A mail filter to identify spam."
 arch=('x86_64')
 license=('APACHE')
@@ -20,7 +20,10 @@
         'etc/mail/spamassassin/v310.pre'
         'etc/mail/spamassassin/v312.pre'
         'etc/mail/spamassassin/v320.pre'
-        'etc/mail/spamassassin/v330.pre')
+        'etc/mail/spamassassin/v330.pre'
+        'etc/mail/spamassassin/v340.pre'
+        'etc/mail/spamassassin/v341.pre'
+		'etc/mail/spamassassin/v342.pre')
 install="${pkgname}.install"
 source=("https://www.us.apache.org/dist/${pkgname}/source/Mail-SpamAssassin-${pkgver}.tar.gz"{,.asc}
         'spamassassin.tmpfiles.d'
@@ -68,4 +71,16 @@
 	  install -Dm644 /dev/stdin "$pkgdir/usr/lib/sysusers.d/$pkgname.conf"
 
   install -Dm644 "$srcdir/spamassassin.tmpfiles.d" "$pkgdir/usr/lib/tmpfiles.d/$pkgname.conf"
+
+  backup_incomplete=0
+  for file in "$pkgdir/etc/mail/spamassassin/"*.pre; do
+	  clean_file="${file#"$pkgdir/"}"
+	  if ! in_array "$clean_file" "${backup[@]}"; then
+		  error "backup array is missing an entry for '$clean_file'"
+		  backup_incomplete=1
+	  fi
+  done
+  if ((backup_incomplete)); then
+	  exit 1
+  fi
 }


More information about the arch-commits mailing list